GSWeb application deployment

From GNUstepWiki

(Difference between revisions)
Revision as of 15:04, 11 April 2007
Dwetzel (Talk | contribs)

← Previous diff
Revision as of 18:06, 19 January 2008
Comrade (Talk | contribs)
Ubuntu 7.10 quick start configuration info
Next diff →
Line 1: Line 1:
-Please extend this doc -- dw+It's recommended to use the new [[Apache2Adaptor]] to serve your dynamic pages using Apache 2.
 +If using the new Apache2Adaptor, disregard instructions for the older adaptors that use libplist.
-You can read about the new [[Apache2Adaptor]] to serve your dynamic pages using Apache 2.+Different platforms use different configuration styles for Apache 2. Ensure you identify how it works on your platform.
 + 
 +=== Ubuntu 7.10 ===
 +To use a new Apache module, configuration files must be updated in the /etc/apache2/mods-enabled directory. The relevant files may already be installed in /etc/apache2/mods-available directory, and only require symlinking.
 + 
 +/etc/apache2/mods-enabled/gsw.load is used to force the module to be loaded by Apache 2:
 +<pre>
 +LoadModule gsw_module /usr/lib/apache2/modules/mod_gsw.so
 +</pre>
 + 
 +/etc/apache2/mods-enabled/gsw.conf is used to configure the adaptor with information about the web applications for which it will provide access:
 +<pre>
 +<IfModule gsw_module>
 + ShowApps on
 + App Name=SimpleDemo Instance=1 Host=127.0.0.1:9001
 +</IfModule>
 +</pre>
---- ----
[[Category:GNUstepWeb]] [[Category:GNUstepWeb]]

Revision as of 18:06, 19 January 2008

It's recommended to use the new Apache2Adaptor to serve your dynamic pages using Apache 2.

If using the new Apache2Adaptor, disregard instructions for the older adaptors that use libplist.

Different platforms use different configuration styles for Apache 2. Ensure you identify how it works on your platform.

Ubuntu 7.10

To use a new Apache module, configuration files must be updated in the /etc/apache2/mods-enabled directory. The relevant files may already be installed in /etc/apache2/mods-available directory, and only require symlinking.

/etc/apache2/mods-enabled/gsw.load is used to force the module to be loaded by Apache 2:

LoadModule gsw_module /usr/lib/apache2/modules/mod_gsw.so

/etc/apache2/mods-enabled/gsw.conf is used to configure the adaptor with information about the web applications for which it will provide access:

<IfModule gsw_module>
   ShowApps on
   App Name=SimpleDemo Instance=1 Host=127.0.0.1:9001
</IfModule>